Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class RandomAccessContentInterface

All Known Implementing Classes:
  InMemoryRandomAccessContent

Deprecated. CM SDK 10gR2: use RandomAccessor

    public interface class RandomAccessContentInterface

The RandomAccessContent interface provides a mechanism for asynchronous updates to document content. An API can request one of these objects from a Document, and then retrieve or update content whenever desired. When retrieving a RandomAccessContent object from a Document, you specify if you want read-only or read-write functionality. Once the content object is returned, you cannot change this setting. Depending on the underlying media, you can either read/write bytes or chars (or both). Note. You MUST close this object to commit any write operations. If you do not close the object before shutdown, the writes may get lost, depending on the underlying media.

(Unpublished)

Method Summary
`boolean` | `canWrite()` Deprecated. returns true if this RandomAccessContent object was created with "read-write" mode enabled.
`void` | `close()` Deprecated. releases all resources used by this object and commits (if needed) any write operations.
`void` | `dispose()` Deprecated. releases all resources used by this object and rolls back (if needed) any uncommitted write operations.
`void` | `flush()` Deprecated. commits any write operations.
`long` | `getLength()` Deprecated. returns the length of this content object.
`int` | `read(long fOffset, byte[] buf, int bOffset, int length)` Deprecated. read length bytes from file offset, filling buffer starting at boffset.
`void` | `truncate(long offset)` Deprecated. truncate content to the desired length
`void` | `write(long fOffset, byte[] buf, int bOffset, int length)` Deprecated. write length bytes at file offset, starting from buffer offset.

Method Detail

### read

    int read(long fOffset,
             byte[] buf,
             int bOffset,
             int length)
             throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  read length bytes from file offset, filling buffer starting at boffset. Both Offsets are zero based.

  Parameters:
    `fOffset` - offset at which to begin reading.
    `buf` - the byte array into which data is to be read
    `bOffset` - the offset into the buffer
    `length` - the amount of data to read.
  Returns:
    number of bytes actually read.
  Throws:
    `IfsException` - if operation fails
  (Published)

### write

    void write(long fOffset,
               byte[] buf,
               int bOffset,
               int length)
               throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  write length bytes at file offset, starting from buffer offset. Both Offsets are zero based.

  Parameters:
    `fOffset` - offset at which to begin writing.
    `buf` - the byte array containing the data to be written
    `bOffset` - the offset into the buffer to begin writing from
    `length` - the amount of data to write
  Throws:
    `IfsException` - if operation fails

### truncate

    void truncate(long offset)
                  throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  truncate content to the desired length

  Parameters:
    `offset` - offset at which to truncate.
  Throws:
    `IfsException` - if operation fails

### flush

    void flush()
               throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  commits any write operations.

  Throws:
    `IfsException` - if operation fails

### close

    void close()
               throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  releases all resources used by this object and commits (if needed) any write operations.

  Throws:
    `IfsException` - if operation fails

### dispose

    void dispose()
                 throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  releases all resources used by this object and rolls back (if needed) any uncommitted write operations.

  Throws:
    `IfsException` - if operation fails

### canWrite

    boolean canWrite()
                     throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  returns true if this RandomAccessContent object was created with "read-write" mode enabled.

  Throws:
    `IfsException` - if operation fails

### getLength

    long getLength()
                   throws IfsException

  Deprecated.
  Description copied from interface: `RandomAccessContentInterface`
  returns the length of this content object.

  Throws:
    `IfsException` - if operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD